Bug 525861 - 3.4.1 on x86_64 cannot conect from win xp-sp3
Summary: 3.4.1 on x86_64 cannot conect from win xp-sp3
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 11
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 11:49 UTC by John L Magee
Modified: 2010-06-28 14:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:49:00 UTC


Attachments (Terms of Use)
192.168.1.4.log (19.27 KB, text/plain)
2009-09-29 14:45 UTC, Matt Castelein
no flags Details
192.168.1.18.log (99.71 KB, text/plain)
2009-09-29 14:46 UTC, Matt Castelein
no flags Details
arturo.log (5.68 KB, text/plain)
2009-09-29 14:47 UTC, Matt Castelein
no flags Details
log.nmbd (245.94 KB, text/plain)
2009-09-29 14:47 UTC, Matt Castelein
no flags Details
log.smbd (4.44 KB, text/plain)
2009-09-29 14:48 UTC, Matt Castelein
no flags Details
log.wb-ARTURO (3.89 KB, text/plain)
2009-09-29 14:49 UTC, Matt Castelein
no flags Details
log.winbindd (4.45 KB, text/plain)
2009-09-29 14:50 UTC, Matt Castelein
no flags Details
log.winbindd-dc-connect (6.02 KB, text/plain)
2009-09-29 14:51 UTC, Matt Castelein
no flags Details
log.winbindd-idmap (11.57 KB, text/plain)
2009-09-29 14:51 UTC, Matt Castelein
no flags Details
smbd.log (93.95 KB, text/plain)
2009-09-29 14:51 UTC, Matt Castelein
no flags Details
swordfish.log (42.08 KB, text/plain)
2009-09-29 14:52 UTC, Matt Castelein
no flags Details
winbindd.log (18.85 KB, text/plain)
2009-09-29 14:52 UTC, Matt Castelein
no flags Details

Description John L Magee 2009-09-26 11:49:50 UTC
Description of problem: after installing samba 3.4.1 update, cannot connect to share from win xp-sp3


Version-Release number of selected component (if applicable): 3.4.1


How reproducible: consistent on one machine


Steps to Reproduce:
1.install update
2.try to connect
3.get unable to connect in windows and errors in samba log
  
Actual results:
cannot connect to samba share

Expected results:
connect to samba share

Additional info:
update works with no issue on i586 machine. same win xp machine connects fine

seems to be some sort of authentication issue from the windows machine

don't see any errors in logs but can provide anything you request.

Comment 1 Guenther Deschner 2009-09-28 09:38:38 UTC
*** Bug 525823 has been marked as a duplicate of this bug. ***

Comment 2 Guenther Deschner 2009-09-29 11:37:31 UTC
Just tried Windows XP SP3 connecting to a Fedora 11 x86_64 box that runs 3.4.1 (connect to a share, create, delete files) and that is a member of a Samba controlled domain, so winbind is running on that Fedora box as well. All worked fine and I was not able to reproduce the problem you are seeing.

Can you share more information what it requires to reproduce your problem ? (please set "log level = 10" and send the samba logfiles).

Comment 3 Matt Castelein 2009-09-29 14:44:35 UTC
I'm not sure why my bug got merged into this one.. I never said anything about XP.  I can't get a connection from anywhere, including localhost.

Comment 4 Matt Castelein 2009-09-29 14:45:16 UTC
Created attachment 363012 [details]
192.168.1.4.log

Comment 5 Matt Castelein 2009-09-29 14:46:25 UTC
Created attachment 363013 [details]
192.168.1.18.log

Comment 6 Matt Castelein 2009-09-29 14:47:25 UTC
Created attachment 363015 [details]
arturo.log

Comment 7 Matt Castelein 2009-09-29 14:47:53 UTC
Created attachment 363016 [details]
log.nmbd

Comment 8 Matt Castelein 2009-09-29 14:48:16 UTC
Created attachment 363017 [details]
log.smbd

Comment 9 Matt Castelein 2009-09-29 14:49:48 UTC
Created attachment 363018 [details]
log.wb-ARTURO

Comment 10 Matt Castelein 2009-09-29 14:50:18 UTC
Created attachment 363019 [details]
log.winbindd

Comment 11 Matt Castelein 2009-09-29 14:51:00 UTC
Created attachment 363020 [details]
log.winbindd-dc-connect

Comment 12 Matt Castelein 2009-09-29 14:51:32 UTC
Created attachment 363021 [details]
log.winbindd-idmap

Comment 13 Matt Castelein 2009-09-29 14:51:54 UTC
Created attachment 363022 [details]
smbd.log

Comment 14 Matt Castelein 2009-09-29 14:52:21 UTC
Created attachment 363023 [details]
swordfish.log

Comment 15 Matt Castelein 2009-09-29 14:52:40 UTC
Created attachment 363025 [details]
winbindd.log

Comment 16 Guenther Deschner 2009-10-01 08:00:44 UTC
Samba 3.4 changed the default passdb backend (as outlined in /usr/share/doc/samba-common-3.4.1/WHATSNEW.txt) to tdbsam and your logs indicate that you were using smbpasswd before.

Please either set "passdb backend = smbpasswd" in the [global] section of your smb.conf or convert your accounts to tdbsam using "pdbedit -i smbpasswd -e tdbsam".

Comment 17 Simon Roberts 2009-10-04 13:22:20 UTC
Adding "passdb backend = smbpasswd" fixed the problem for me.  Should the RPM apply this change to smb.conf?  Otherwise we break people's (working) config, without a visible configuration change.

Comment 18 John L Magee 2009-10-04 17:09:33 UTC
(In reply to comment #17)
> Adding "passdb backend = smbpasswd" fixed the problem for me.  Should the RPM
> apply this change to smb.conf?  Otherwise we break people's (working) config,
> without a visible configuration change.  

This resolved my issue as well. FWIW, the default smb.conf states:

# Backend to store user information in. New installations should
# use either tdbsam or ldapsam. smbpasswd is available for backwards
# compatibility. tdbsam requires no further configuration.

Comment 19 Mukund 2010-01-08 21:53:09 UTC
I ran into this issue, when I was doing the following:
1. Fresh installed samba service on a fresh installed Fedora FC11 (So latest up to 1/7)
2. The combination worked beautifully till I initiated a huge directory transfer from my XP-SP3.
3. On realizing it will take 15 hours, I stopped the transfer and since then I ran into this problem.

A. A reinstall of the same version of samba did not resolve the issue.
B. But force deleting /var/lib/samba/private DID resolve issue.

I am not sure if this is the solution, but it does have something to do with the passwords file. Blow it away and let it reinstall.

Comment 20 Mukund 2010-01-09 03:34:57 UTC
I ran into this issue, when I was doing the following:
1. Fresh installed samba service on a fresh installed Fedora FC11 (So latest up to 1/7)
2. The combination worked beautifully till I initiated a huge directory transfer from my XP-SP3.
3. On realizing it will take 15 hours, I stopped the transfer and since then I ran into this problem.

A. A reinstall of the same version of samba did not resolve the issue.
B. But force deleting /var/lib/samba/private DID resolve issue.

I am not sure if this is the solution, but it does have something to do with the passwords file. Blow it away and let it reinstall.

Comment 21 Bug Zapper 2010-04-28 10:34:54 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 22 Bug Zapper 2010-06-28 14:49:00 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.